Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## eia.util
Enum CaracterEfecto

    java.lang.Object
      java.lang.Enum<CaracterEfecto>
          eia.util.CaracterEfecto

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CaracterEfecto>

    public enum CaracterEfecto

extends java.lang.Enum<CaracterEfecto>

Tipo enumerado correspondiente al carácter de un impacto ambiental.

Enum Constant Summary
`compatible`
`critico`
`moderado`
`severo`

Method Summary
`static CaracterEfecto` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CaracterEfecto[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### compatible

    public static final CaracterEfecto compatible

### moderado

    public static final CaracterEfecto moderado

### severo

    public static final CaracterEfecto severo

### critico

    public static final CaracterEfecto critico

Method Detail

### values

    public static final CaracterEfecto[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CaracterEfecto c : CaracterEfecto.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CaracterEfecto valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD